# Aggregate Card

## Description:

Aggregate Card

Aggregate Card is used to show the Aggregates of data.E.g:SUM,COUNT,etc..

### Allowed Parent Components:

1. Card Body
2. Col
3. Drag Source Wrapper
4. Drop Target Wrapper
5. Horizontal Section
6. Page
7. Scroll Layout
8. Vertical Section

### Allowed Child Components:

1. Card Wrapper
2. Col
3. Popover
4. Pulse
5. Row
6. Switch
7. Trigger Before Render

### Properties

### ➤ Render As Row

Check this to get the cards in row.

Allowed Values: Yes/No

### ➤ Hide No Data Placeholder

Check this to hide the data displayed when no data found.

Allowed Values: Yes/No

### ➤ No Data Icon

Select an icon to display when no data found.

Allowed Values: Icon List

### ➤ No Data Text1

Provide a text to display as title when no data found.

Allowed Values: Free text field

### ➤ No Data Text2

Provide a text to display as sub title when no data found.

Allowed Values: Free text field

### ➤ Icon

Select an icon for button when no data found.

Allowed Values: Icon List

### ➤ Text

Provide a text for button when no data found.

Allowed Values: Free text field

### ➤ onClick

Select or enter the action need to be performed on button click.

Allowed Values: Controller Function

### ➤ Color

Select a color or enter the custom class to change the color of the button.

Allowed Values: Select a color or enter the custom class to change the color of the button.

### ➤ Use Existing Data Source

Choose this prop if you want to reuse a Data Source that was defined on some other component on this page or any of the parent abstract pages.

Allowed Values: Yes/No

### ➤ Data Source

Select a datasource from the list.

Allowed Values: Select a datasource from the list.

### ➤ Data Source Alias

Allowed Values: Free text field

### ➤ Default Where Clause

Allowed Values: Free text field

### ➤ Max Rows

Allowed Values: Any number value

### ➤ Order By Clause

e.g. #firstAttr#, #secondAttr# DESC

Allowed Values: Free text field

### ➤ Auto Query

Check this property to query the selected datasource on component render.

Allowed Values: Yes/No

### ➤ Execute Count SQL

Check this to execute count SQL to get the total number of rows in the database on a query. You can get this value by using the expression: #{DataStore.totalLength}

Allowed Values: Yes/No

### ➤ Execute Distinct SQL

Check this to execute distinct SQL to get the total number of distinct rows in the database on a query.

Allowed Values: Yes/No

### ➤ Key Attribute

Select a attribute to perform groupByClause in data.

Allowed Values: Select a attribute to perform groupByClause in data.

### ➤ Value Attribute

It is a column through which you can get the data from DataSource.

Allowed Values: It is a column through which you can get the data from DataSource.

### ➤ Function

Select a function to do arithmetic operations on data.

Allowed Values:

1. SUM
2. COUNT
3. AVG
4. MAX
5. MIN
6. COUNT(DISTINCT)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/aggregatecard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
